require 'phi'
form = Phi::Form.new
pbox = Phi::PaintBox.new form
pbox.align = Phi::AL_CLIENT
def pbox.on_paint
  canvas.pen.color = Phi::CL_WHITE
  canvas.ellipse(50,50,100,100)
  canvas.poly_bezier(0,100,80,60,100,200,320,100)
end
form.show
Phi.mainloop
